<# : chooser.bat
:: launches a File... Open sort of file chooser and outputs choice(s) to the console
:: https://stackoverflow.com/a/15885133/1683264

@echo off
set pa=%1
set form=%2
set level=%3
set photo=%4

set photoname=%pa%_%form%_%level%_%photo%.jpg
echo pa: %pa%
echo form: %form%
echo level: %level%
echo %photo% photo

setlocal

for /f "delims=" %%I in ('%SYSTEMROOT%\System32\WindowsPowerShell\v1.0\powershell -noprofile "iex (${%~f0} | out-string)"') do (	
	xcopy /y "%%~I" ".\photos"
    ren ".\photos\%%~nxI" "%photoname%"
)
goto :EOF

: end Batch portion / begin PowerShell hybrid chimera #>

Add-Type -AssemblyName System.Windows.Forms
$f = new-object Windows.Forms.OpenFileDialog
$f.InitialDirectory = pwd
$f.Filter = "JPG Files (*.jpg)|*.jpg|PNG Files (*.png)|*.png|All Files (*.*)|*.*"
$f.ShowHelp = $true
$f.Multiselect = $false
[void]$f.ShowDialog()
if ($f.Multiselect) { $f.FileNames } else { $f.FileName }
